Bug 1885000 - perl-ExtUtils-MakeMaker-7.48 is available
Summary: perl-ExtUtils-MakeMaker-7.48 is available
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: perl-ExtUtils-MakeMaker
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jitka Plesnikova
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-10-04 11:26 UTC by Upstream Release Monitoring
Modified: 2020-10-19 08:17 UTC (History)
3 users (show)

Fixed In Version: perl-ExtUtils-MakeMaker-7.48-1.fc34
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-19 08:17:00 UTC
Type: ---


Attachments (Terms of Use)

Description Upstream Release Monitoring 2020-10-04 11:26:10 UTC
Latest upstream release: 7.48
Current version/release in rawhide: 7.46-3.fc33
URL: http://search.cpan.org/dist/ExtUtils-MakeMaker/

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/2867/

Comment 1 Fedora Update System 2020-10-06 07:48:00 UTC
FEDORA-2020-8be581dc39 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-8be581dc39

Comment 2 Fedora Update System 2020-10-06 07:48:01 UTC
FEDORA-2020-11513a4a33 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2020-11513a4a33

Comment 3 Fedora Update System 2020-10-06 07:48:01 UTC
FEDORA-2020-3791de1048 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-3791de1048

Comment 4 Fedora Update System 2020-10-06 15:18:57 UTC
FEDORA-2020-11513a4a33 has been pushed to the Fedora 33 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-11513a4a33`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-11513a4a33

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Fedora Update System 2020-10-06 15:27:42 UTC
FEDORA-2020-3791de1048 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-3791de1048`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-3791de1048

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2020-10-06 19:27:34 UTC
FEDORA-2020-8be581dc39 has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-8be581dc39`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-8be581dc39

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Petr Pisar 2020-10-08 08:01:59 UTC
Packages that have in illegal MIN_PERL_VERSION value (e.g. "5.008_001") fails to build with with perl-ExtUtils-MakeMaker-7.48-1.fc34:

[test@fedora-34 URI-Fetch-0.13]$ perl Makefile.PL 
Checking if your kit is complete...
Looks good
Warning: MIN_PERL_VERSION is not in a recognized format.
Recommended is a quoted numerical value like '5.005' or '5.008001'.
[test@fedora-34 URI-Fetch-0.13]$ echo $?
2

Obviously the new warning is handled as fatal error. I think this kind of change is not welcome in stable Fedoras.

Comment 8 Petr Pisar 2020-10-08 08:32:45 UTC
I reported it to the upstream <https://rt.cpan.org/Ticket/Display.html?id=133489>.

Comment 9 Jitka Plesnikova 2020-10-08 08:54:05 UTC
I'll remove it from Fedoras 31-33.


Note You need to log in before you can comment on or make changes to this bug.